# Uses of Interface
org.eclipse.ltk.core.refactoring.history.IRefactoringHistoryService

Packages that use IRefactoringHistoryService
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.core.refactoring.history
Application programming interface to query refactoring history information from the refactoring infrastructure.

## Uses of IRefactoringHistoryService in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return IRefactoringHistoryService
Modifier and Type
Method
Description
`static IRefactoringHistoryService`
RefactoringCore.`getHistoryService()`
Returns the singleton refactoring history service.

## Uses of IRefactoringHistoryService in org.eclipse.ltk.core.refactoring.history

Methods in org.eclipse.ltk.core.refactoring.history that return IRefactoringHistoryService
Modifier and Type
Method
Description
`IRefactoringHistoryService`
RefactoringExecutionEvent.`getHistoryService()`
Returns the refactoring history service
`IRefactoringHistoryService`
RefactoringHistoryEvent.`getHistoryService()`
Returns the refactoring history service.
Constructors in org.eclipse.ltk.core.refactoring.history with parameters of type IRefactoringHistoryService
Modifier
Constructor
Description
``
`RefactoringExecutionEvent(IRefactoringHistoryService service, int type, RefactoringDescriptorProxy proxy)`
Creates a new refactoring execution event.
``
`RefactoringHistoryEvent(IRefactoringHistoryService service, int type, RefactoringDescriptorProxy proxy)`
Creates a new refactoring history event.